# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.geo.impl
Class W3CPoint.Handler

    java.lang.Object
      com.google.gdata.util.XmlParser.ElementHandler
          com.google.gdata.data.AbstractExtension.AttributesHandler
              com.google.gdata.data.ExtensionPoint.ExtensionHandler
                  com.google.gdata.data.geo.impl.W3CPoint.Handler

Enclosing class:
  W3CPoint

    protected class W3CPoint.Handler

extends ExtensionPoint.ExtensionHandler

Simple delegating handler implementation that uses (only) ExtensionProfile linkages for child element lookup. Ensures that all points have a latitude and longitude element.

Field Summary

Fields inherited from class com.google.gdata.data.ExtensionPoint.ExtensionHandler
`extendedClass, extManifest, extProfile, hasExtensions`

Fields inherited from class com.google.gdata.util.XmlParser.ElementHandler
`qName, value, xmlBase, xmlLang`

Constructor Summary
`W3CPoint.Handler(ExtensionProfile extProfile)`

Method Summary
`void` `processEndElement()` Overrides the base implementation by adding checks to make sure the point has a latitude and longitude.

Methods inherited from class com.google.gdata.data.ExtensionPoint.ExtensionHandler
`getChildHandler`

Methods inherited from class com.google.gdata.util.XmlParser.ElementHandler
`getAbsoluteUri, getBooleanAttribute, getChildHandler, initializeXmlBlob, parseBooleanValue, processAttribute, processAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### W3CPoint.Handler

    public W3CPoint.Handler(ExtensionProfile extProfile)

Method Detail

### processEndElement

    public void processEndElement()
                           throws ParseException

  Overrides the base implementation by adding checks to make sure the point has a latitude and longitude.

  Overrides:
    `processEndElement` in class `ExtensionPoint.ExtensionHandler`
  Throws:
    `ParseException`